Bug 771115

Summary: kimpanel applet ftbfs against ibus-1.4.0-15+
Product: [Fedora] Fedora Reporter: Rex Dieter <rdieter>
Component: kdeplasma-addonsAssignee: Rex Dieter <rdieter>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: i18n-bugs, jreznik, kevin, ltinkl, rdieter, rnovacek, shawn.p.huang, smparrish, tfujiwar, than, wengxt
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: analitza-4.8.1-1.fc17 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-03-13 14:35:56 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 765956    

Description Rex Dieter 2012-01-01 10:49:56 EST
kdeplasma-addons currently ftbfs.  Last build successfully against ibus-1.4.0-14,
https://koji.fedoraproject.org/koji/buildinfo?buildID=280128

and now fails against -16,
https://koji.fedoraproject.org/koji/buildinfo?buildID=280560
/builddir/build/BUILD/kdeplasma-addons-4.7.95/applets/kimpanel/backend/ibus/panel.c:253:43: error: 'IBusProperty' has no member named 'key'
/builddir/build/BUILD/kdeplasma-addons-4.7.95/applets/kimpanel/backend/ibus/panel.c:254:43: error: 'IBusProperty' has no member named 'label'
/builddir/build/BUILD/kdeplasma-addons-4.7.95/applets/kimpanel/backend/ibus/panel.c:255:43: error: 'IBusProperty' has no member named 'icon'
/builddir/build/BUILD/kdeplasma-addons-4.7.95/applets/kimpanel/backend/ibus/panel.c:256:43: error: 'IBusProperty' has no member named 'tooltip'
Comment 1 Rex Dieter 2012-01-01 10:51:07 EST
CC'ing ibus maintainer for advice, guidance
Comment 2 Rex Dieter 2012-01-01 10:57:48 EST
re-confirmed ibus-1.4.0-14 builds ok, bouncing over to ibus for feedback about apparent api changes here.
Comment 3 Rex Dieter 2012-01-01 11:00:18 EST
and, testing -15 fails too, so that's the first ibus build introducing the behavior reported here.
Comment 4 fujiwara 2012-01-03 22:07:06 EST
Sorry for that change.
We recommend to use ibus_property_get_key(), ibus_property_get_label(), ... for ibus 1.4 for C programming since ibus 1.4 has worked with non-C programming likes GNOME3 gobject-introspection.
Recently we removed to access the structure members directly:
https://github.com/ibus/ibus/commit/ee9c4fba4535e85bd1f02743cab8914dd84e6178

I'd like to ask if kdeplasma-addons could be modified.
Thanks.
Comment 5 fujiwara 2012-01-03 22:11:56 EST
OK, I will delete the change for f16.
Comment 6 fujiwara 2012-01-04 00:31:17 EST
I added a back compatibility for f16 only.
Comment 7 Fedora Update System 2012-01-04 00:37:39 EST
ibus-1.4.0-17.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/FEDORA-2011-17574/ibus-1.4.0-17.fc16
Comment 8 Kevin Kofler 2012-01-04 05:23:28 EST
Well, we'll need kdeplasma-addons fixed in any caseā€¦
Comment 9 Fedora Update System 2012-01-05 15:56:36 EST
Package ibus-1.4.0-17.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-1.4.0-17.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-17574/ibus-1.4.0-17.fc16
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2012-01-11 01:14:28 EST
ibus-1.4.0-17.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Kevin Kofler 2012-01-12 16:20:56 EST
We still need to fix this in kdeplasma-addons for Rawhide.
Comment 12 Rex Dieter 2012-01-24 10:13:51 EST
block F17Blocker-kde instead
Comment 14 Kevin Kofler 2012-03-10 18:44:20 EST
Unfortunately, while you finally fixed kimpanel for ibus 1.4, Rawhide and Fedora 17 (currently updates-testing, but soon also in the stable branch and it's already in the build tags) already have ibus 1.4.99 and it is broken again!

In ibus 1.4.99, the enabled/disabled status of input contexts was removed:
https://github.com/ibus/ibus/commit/53d33ec4e6ad41a116f25cfa7ce12e04f6f93752

As a result, the following patch is needed to build kimpanel's ibus backend:
http://pkgs.fedoraproject.org/gitweb/?p=kdeplasma-addons.git;a=blob;f=kdeplasma-addons-4.8.1-kimpanel-ibus15.patch;h=221d4b63bba381ab9ed7e3d74dd87004d7c5e317;hb=HEAD
and it may need more work to properly replace the lost functionality.
Comment 15 Fedora Update System 2012-03-10 20:01:31 EST
analitza-4.8.1-1.fc17, ark-4.8.1-1.fc17, blinken-4.8.1-1.fc17, cantor-4.8.1-1.fc17, filelight-4.8.1-1.fc17, gwenview-4.8.1-1.fc17, jovie-4.8.1-1.fc17, kaccessible-4.8.1-1.fc17, kactivities-4.8.1-1.fc17, kalgebra-4.8.1-1.fc17, kalzium-4.8.1-1.fc17, kamera-4.8.1-1.fc17, kanagram-4.8.1-1.fc17, kate-4.8.1-1.fc17, kbruch-4.8.1-1.fc17, kcalc-4.8.1-1.fc17, kcharselect-4.8.1-1.fc17, kcolorchooser-4.8.1-1.fc17, kdeaccessibility-4.8.1-1.fc17, kdeadmin-4.8.1-1.fc17, kdeartwork-4.8.1-1.fc17, kde-baseapps-4.8.1-1.fc17, kdebindings-4.8.1-1.fc17, kdeedu-4.8.1-1.fc17, kdegames-4.8.1-1.fc17, kdegraphics-4.8.1-1.fc17, kdegraphics-mobipocket-4.8.1-1.fc17, kdegraphics-strigi-analyzer-4.8.1-1.fc17, kdegraphics-thumbnailers-4.8.1-1.fc17, kdelibs-4.8.1-1.fc17, kdemultimedia-4.8.1-1.fc17, kdenetwork-4.8.1-1.fc17, kdepim-4.8.1-2.fc17, kdepimlibs-4.8.1-1.fc17, kdepim-runtime-4.8.1-1.fc17, kde-printer-applet-4.8.1-1.fc17, kdesdk-4.8.1-1.fc17, kdetoys-4.8.1-1.fc17, kdeutils-4.8.1-1.fc17, kde-wallpapers-4.8.1-1.fc17, kdf-4.8.1-1.fc17, kfloppy-4.8.1-1.fc17, kgamma-4.8.1-1.fc17, kgeography-4.8.1-1.fc17, kgpg-4.8.1-1.fc17, khangman-4.8.1-1.fc17, kig-4.8.1-1.fc17, kimono-4.8.1-1.fc17, kiten-4.8.1-1.fc17, klettres-4.8.1-1.fc17, kmag-4.8.1-1.fc17, kmousetool-4.8.1-1.fc17, kmouth-4.8.1-1.fc17, kmplot-4.8.1-1.fc17, kolourpaint-4.8.1-1.fc17, konsole-4.8.1-1.fc17, kremotecontrol-4.8.1-1.fc17, kross-interpreters-4.8.1-1.fc17, kruler-4.8.1-1.fc17, ksaneplugin-4.8.1-1.fc17, ksecrets-4.8.1-1.fc17, ksnapshot-4.8.1-1.fc17, kstars-4.8.1-1.fc17, ktimer-4.8.1-1.fc17, ktouch-4.8.1-1.fc17, kturtle-4.8.1-1.fc17, kwallet-4.8.1-1.fc17, kwordquiz-4.8.1-1.fc17, libkdcraw-4.8.1-1.fc17, libkdeedu-4.8.1-1.fc17, libkexiv2-4.8.1-1.fc17, libkipi-4.8.1-1.fc17, libksane-4.8.1-1.fc17, marble-4.8.1-1.fc17, okular-4.8.1-1.fc17, oxygen-icon-theme-4.8.1-1.fc17, parley-4.8.1-1.fc17, pykde4-4.8.1-1.fc17, qyoto-4.8.1-1.fc17, rocs-4.8.1-1.fc17, ruby-korundum-4.8.1-1.fc17, ruby-qt-4.8.1-1.fc17, smokegen-4.8.1-1.fc17, smokekde-4.8.1-1.fc17, smokeqt-4.8.1-1.fc17, step-4.8.1-1.fc17, superkaramba-4.8.1-1.fc17, svgpart-4.8.1-1.fc17, sweeper-4.8.1-1.fc17, share-like-connect-0.2-2.fc17, plasma-mobile-0.3-3.fc17, kde-l10n-4.8.1-2.fc17, kde-runtime-4.8.1-2.fc17, kde-workspace-4.8.1-2.fc17, kdeplasma-addons-4.8.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-3255/share-like-connect-0.2-2.fc17,plasma-mobile-0.3-3.fc17,kde-l10n-4.8.1-2.fc17,analitza-4.8.1-1.fc17,ark-4.8.1-1.fc17,blinken-4.8.1-1.fc17,cantor-4.8.1-1.fc17,filelight-4.8.1-1.fc17,gwenview-4.8.1-1.fc17,jovie-4.8.1-1.fc17,kaccessible-4.8.1-1.fc17,kactivities-4.8.1-1.fc17,kalgebra-4.8.1-1.fc17,kalzium-4.8.1-1.fc17,kamera-4.8.1-1.fc17,kanagram-4.8.1-1.fc17,kate-4.8.1-1.fc17,kbruch-4.8.1-1.fc17,kcalc-4.8.1-1.fc17,kcharselect-4.8.1-1.fc17,kcolorchooser-4.8.1-1.fc17,kdeaccessibility-4.8.1-1.fc17,kdeadmin-4.8.1-1.fc17,kdeartwork-4.8.1-1.fc17,kde-baseapps-4.8.1-1.fc17,kdebindings-4.8.1-1.fc17,kdeedu-4.8.1-1.fc17,kdegames-4.8.1-1.fc17,kdegraphics-4.8.1-1.fc17,kdegraphics-mobipocket-4.8.1-1.fc17,kdegraphics-strigi-analyzer-4.8.1-1.fc17,kdegraphics-thumbnailers-4.8.1-1.fc17,kdelibs-4.8.1-1.fc17,kdemultimedia-4.8.1-1.fc17,kdenetwork-4.8.1-1.fc17,kdepim-4.8.1-2.fc17,kdepimlibs-4.8.1-1.fc17,kdepim-runtime-4.8.1-1.fc17,kdeplasma-addons-4.8.1-2.fc17,kde-printer-applet-4.8.1-1.fc17,kde-runtime-4.8.1-2.fc17,kdesdk-4.8.1-1.fc17,kdetoys-4.8.1-1.fc17,kdeutils-4.8.1-1.fc17,kde-wallpapers-4.8.1-1.fc17,kde-workspace-4.8.1-2.fc17,kdf-4.8.1-1.fc17,kfloppy-4.8.1-1.fc17,kgamma-4.8.1-1.fc17,kgeography-4.8.1-1.fc17,kgpg-4.8.1-1.fc17,khangman-4.8.1-1.fc17,kig-4.8.1-1.fc17,kimono-4.8.1-1.fc17,kiten-4.8.1-1.fc17,klettres-4.8.1-1.fc17,kmag-4.8.1-1.fc17,kmousetool-4.8.1-1.fc17,kmouth-4.8.1-1.fc17,kmplot-4.8.1-1.fc17,kolourpaint-4.8.1-1.fc17,konsole-4.8.1-1.fc17,kremotecontrol-4.8.1-1.fc17,kross-interpreters-4.8.1-1.fc17,kruler-4.8.1-1.fc17,ksaneplugin-4.8.1-1.fc17,ksecrets-4.8.1-1.fc17,ksnapshot-4.8.1-1.fc17,kstars-4.8.1-1.fc17,ktimer-4.8.1-1.fc17,ktouch-4.8.1-1.fc17,kturtle-4.8.1-1.fc17,kwallet-4.8.1-1.fc17,kwordquiz-4.8.1-1.fc17,libkdcraw-4.8.1-1.fc17,libkdeedu-4.8.1-1.fc17,libkexiv2-4.8.1-1.fc17,libkipi-4.8.1-1.fc17,libksane-4.8.1-1.fc17,marble-4.8.1-1.fc17,okular-4.8.1-1.fc17,oxygen-icon-theme-4.8.1-1.fc17,parley-4.8.1-1.fc17,pykde4-4.8.1-1.fc17,qyoto-4.8.1-1.fc17,rocs-4.8.1-1.fc17,ruby-korundum-4.8.1-1.fc17,ruby-qt-4.8.1-1.fc17,smokegen-4.8.1-1.fc17,smokekde-4.8.1-1.fc17,smokeqt-4.8.1-1.fc17,step-4.8.1-1.fc17,superkaramba-4.8.1-1.fc17,svgpart-4.8.1-1.fc17,sweeper-4.8.1-1.fc17
Comment 16 Weng Xuetian 2012-03-10 23:51:14 EST
I make the fix upstream. I think it's ok.
Comment 17 Kevin Kofler 2012-03-10 23:57:31 EST
Thanks.

In:
https://projects.kde.org/projects/kde/kdeplasma-addons/repository/revisions/621deae8a2423c29b944bb011eda1d13acca5143/diff/applets/kimpanel/backend/ibus/panel.c
you forgot to remove what's now line 1233:
g_variant_builder_add (&builder, "s", propstr);
(you deleted the code which creates the propstr you were adding there).

We'll let you know if there are any further issues with kimpanel.
Comment 18 Kevin Kofler 2012-03-11 00:02:33 EST
> you forgot to remove what's now line 1233

Oh, I see you got rid of that in your next commit, which hadn't yet made it to projects.kde.org before. So it should be fine now.
Comment 19 Fedora Update System 2012-03-11 14:25:52 EDT
Package analitza-4.8.1-1.fc17, ark-4.8.1-1.fc17, blinken-4.8.1-1.fc17, cantor-4.8.1-1.fc17, filelight-4.8.1-1.fc17, gwenview-4.8.1-1.fc17, jovie-4.8.1-1.fc17, kaccessible-4.8.1-1.fc17, kactivities-4.8.1-1.fc17, kalgebra-4.8.1-1.fc17, kalzium-4.8.1-1.fc17, kamera-4.8.1-1.fc17, kanagram-4.8.1-1.fc17, kate-4.8.1-1.fc17, kbruch-4.8.1-1.fc17, kcalc-4.8.1-1.fc17, kcharselect-4.8.1-1.fc17, kcolorchooser-4.8.1-1.fc17, kdeaccessibility-4.8.1-1.fc17, kdeadmin-4.8.1-1.fc17, kdeartwork-4.8.1-1.fc17, kde-baseapps-4.8.1-1.fc17, kdebindings-4.8.1-1.fc17, kdeedu-4.8.1-1.fc17, kdegames-4.8.1-1.fc17, kdegraphics-4.8.1-1.fc17, kdegraphics-mobipocket-4.8.1-1.fc17, kdegraphics-strigi-analyzer-4.8.1-1.fc17, kdegraphics-thumbnailers-4.8.1-1.fc17, kdelibs-4.8.1-1.fc17, kdemultimedia-4.8.1-1.fc17, kdenetwork-4.8.1-1.fc17, kdepim-4.8.1-2.fc17, kdepimlibs-4.8.1-1.fc17, kdepim-runtime-4.8.1-1.fc17, kde-printer-applet-4.8.1-1.fc17, kdesdk-4.8.1-1.fc17, kdetoys-4.8.1-1.fc17, kdeutils-4.8.1-1.fc17, kde-wallpapers-4.8.1-1.fc17, kdf-4.8.1-1.fc17, kfloppy-4.8.1-1.fc17, kgamma-4.8.1-1.fc17, kgeography-4.8.1-1.fc17, kgpg-4.8.1-1.fc17, khangman-4.8.1-1.fc17, kig-4.8.1-1.fc17, kimono-4.8.1-1.fc17, kiten-4.8.1-1.fc17, klettres-4.8.1-1.fc17, kmag-4.8.1-1.fc17, kmousetool-4.8.1-1.fc17, kmouth-4.8.1-1.fc17, kmplot-4.8.1-1.fc17, kolourpaint-4.8.1-1.fc17, konsole-4.8.1-1.fc17, kremotecontrol-4.8.1-1.fc17, kross-interpreters-4.8.1-1.fc17, kruler-4.8.1-1.fc17, ksaneplugin-4.8.1-1.fc17, ksecrets-4.8.1-1.fc17, ksnapshot-4.8.1-1.fc17, kstars-4.8.1-1.fc17, ktimer-4.8.1-1.fc17, ktouch-4.8.1-1.fc17, kturtle-4.8.1-1.fc17, kwallet-4.8.1-1.fc17, kwordquiz-4.8.1-1.fc17, libkdcraw-4.8.1-1.fc17, libkdeedu-4.8.1-1.fc17, libkexiv2-4.8.1-1.fc17, libkipi-4.8.1-1.fc17, libksane-4.8.1-1.fc17, marble-4.8.1-1.fc17, okular-4.8.1-1.fc17, oxygen-icon-theme-4.8.1-1.fc17, parley-4.8.1-1.fc17, pykde4-4.8.1-1.fc17, qyoto-4.8.1-1.fc17, rocs-4.8.1-1.fc17, ruby-korundum-4.8.1-1.fc17, ruby-qt-4.8.1-1.fc17, smokegen-4.8.1-1.fc17, smokekde-4.8.1-1.fc17, smokeqt-4.8.1-1.fc17, step-4.8.1-1.fc17, superkaramba-4.8.1-1.fc17, svgpart-4.8.1-1.fc17, sweeper-4.8.1-1.fc17, share-like-connect-0.2-2.fc17, plasma-mobile-0.3-3.fc17, kde-l10n-4.8.1-2.fc17, kde-runtime-4.8.1-2.fc17, kde-workspace-4.8.1-2.fc17, kdeplasma-addons-4.8.1-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing analitza-4.8.1-1.fc17 ark-4.8.1-1.fc17 blinken-4.8.1-1.fc17 cantor-4.8.1-1.fc17 filelight-4.8.1-1.fc17 gwenview-4.8.1-1.fc17 jovie-4.8.1-1.fc17 kaccessible-4.8.1-1.fc17 kactivities-4.8.1-1.fc17 kalgebra-4.8.1-1.fc17 kalzium-4.8.1-1.fc17 kamera-4.8.1-1.fc17 kanagram-4.8.1-1.fc17 kate-4.8.1-1.fc17 kbruch-4.8.1-1.fc17 kcalc-4.8.1-1.fc17 kcharselect-4.8.1-1.fc17 kcolorchooser-4.8.1-1.fc17 kdeaccessibility-4.8.1-1.fc17 kdeadmin-4.8.1-1.fc17 kdeartwork-4.8.1-1.fc17 kde-baseapps-4.8.1-1.fc17 kdebindings-4.8.1-1.fc17 kdeedu-4.8.1-1.fc17 kdegames-4.8.1-1.fc17 kdegraphics-4.8.1-1.fc17 kdegraphics-mobipocket-4.8.1-1.fc17 kdegraphics-strigi-analyzer-4.8.1-1.fc17 kdegraphics-thumbnailers-4.8.1-1.fc17 kdelibs-4.8.1-1.fc17 kdemultimedia-4.8.1-1.fc17 kdenetwork-4.8.1-1.fc17 kdepim-4.8.1-2.fc17 kdepimlibs-4.8.1-1.fc17 kdepim-runtime-4.8.1-1.fc17 kde-printer-applet-4.8.1-1.fc17 kdesdk-4.8.1-1.fc17 kdetoys-4.8.1-1.fc17 kdeutils-4.8.1-1.fc17 kde-wallpapers-4.8.1-1.fc17 kdf-4.8.1-1.fc17 kfloppy-4.8.1-1.fc17 kgamma-4.8.1-1.fc17 kgeography-4.8.1-1.fc17 kgpg-4.8.1-1.fc17 khangman-4.8.1-1.fc17 kig-4.8.1-1.fc17 kimono-4.8.1-1.fc17 kiten-4.8.1-1.fc17 klettres-4.8.1-1.fc17 kmag-4.8.1-1.fc17 kmousetool-4.8.1-1.fc17 kmouth-4.8.1-1.fc17 kmplot-4.8.1-1.fc17 kolourpaint-4.8.1-1.fc17 konsole-4.8.1-1.fc17 kremotecontrol-4.8.1-1.fc17 kross-interpreters-4.8.1-1.fc17 kruler-4.8.1-1.fc17 ksaneplugin-4.8.1-1.fc17 ksecrets-4.8.1-1.fc17 ksnapshot-4.8.1-1.fc17 kstars-4.8.1-1.fc17 ktimer-4.8.1-1.fc17 ktouch-4.8.1-1.fc17 kturtle-4.8.1-1.fc17 kwallet-4.8.1-1.fc17 kwordquiz-4.8.1-1.fc17 libkdcraw-4.8.1-1.fc17 libkdeedu-4.8.1-1.fc17 libkexiv2-4.8.1-1.fc17 libkipi-4.8.1-1.fc17 libksane-4.8.1-1.fc17 marble-4.8.1-1.fc17 okular-4.8.1-1.fc17 oxygen-icon-theme-4.8.1-1.fc17 parley-4.8.1-1.fc17 pykde4-4.8.1-1.fc17 qyoto-4.8.1-1.fc17 rocs-4.8.1-1.fc17 ruby-korundum-4.8.1-1.fc17 ruby-qt-4.8.1-1.fc17 smokegen-4.8.1-1.fc17 smokekde-4.8.1-1.fc17 smokeqt-4.8.1-1.fc17 step-4.8.1-1.fc17 superkaramba-4.8.1-1.fc17 svgpart-4.8.1-1.fc17 sweeper-4.8.1-1.fc17 share-like-connect-0.2-2.fc17 plasma-mobile-0.3-3.fc17 kde-l10n-4.8.1-2.fc17 kde-runtime-4.8.1-2.fc17 kde-workspace-4.8.1-2.fc17 kdeplasma-addons-4.8.1-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-3255/share-like-connect-0.2-2.fc17,plasma-mobile-0.3-3.fc17,kde-l10n-4.8.1-2.fc17,analitza-4.8.1-1.fc17,ark-4.8.1-1.fc17,blinken-4.8.1-1.fc17,cantor-4.8.1-1.fc17,filelight-4.8.1-1.fc17,gwenview-4.8.1-1.fc17,jovie-4.8.1-1.fc17,kaccessible-4.8.1-1.fc17,kactivities-4.8.1-1.fc17,kalgebra-4.8.1-1.fc17,kalzium-4.8.1-1.fc17,kamera-4.8.1-1.fc17,kanagram-4.8.1-1.fc17,kate-4.8.1-1.fc17,kbruch-4.8.1-1.fc17,kcalc-4.8.1-1.fc17,kcharselect-4.8.1-1.fc17,kcolorchooser-4.8.1-1.fc17,kdeaccessibility-4.8.1-1.fc17,kdeadmin-4.8.1-1.fc17,kdeartwork-4.8.1-1.fc17,kde-baseapps-4.8.1-1.fc17,kdebindings-4.8.1-1.fc17,kdeedu-4.8.1-1.fc17,kdegames-4.8.1-1.fc17,kdegraphics-4.8.1-1.fc17,kdegraphics-mobipocket-4.8.1-1.fc17,kdegraphics-strigi-analyzer-4.8.1-1.fc17,kdegraphics-thumbnailers-4.8.1-1.fc17,kdelibs-4.8.1-1.fc17,kdemultimedia-4.8.1-1.fc17,kdenetwork-4.8.1-1.fc17,kdepim-4.8.1-2.fc17,kdepimlibs-4.8.1-1.fc17,kdepim-runtime-4.8.1-1.fc17,kdeplasma-addons-4.8.1-2.fc17,kde-printer-applet-4.8.1-1.fc17,kde-runtime-4.8.1-2.fc17,kdesdk-4.8.1-1.fc17,kdetoys-4.8.1-1.fc17,kdeutils-4.8.1-1.fc17,kde-wallpapers-4.8.1-1.fc17,kde-workspace-4.8.1-2.fc17,kdf-4.8.1-1.fc17,kfloppy-4.8.1-1.fc17,kgamma-4.8.1-1.fc17,kgeography-4.8.1-1.fc17,kgpg-4.8.1-1.fc17,khangman-4.8.1-1.fc17,kig-4.8.1-1.fc17,kimono-4.8.1-1.fc17,kiten-4.8.1-1.fc17,klettres-4.8.1-1.fc17,kmag-4.8.1-1.fc17,kmousetool-4.8.1-1.fc17,kmouth-4.8.1-1.fc17,kmplot-4.8.1-1.fc17,kolourpaint-4.8.1-1.fc17,konsole-4.8.1-1.fc17,kremotecontrol-4.8.1-1.fc17,kross-interpreters-4.8.1-1.fc17,kruler-4.8.1-1.fc17,ksaneplugin-4.8.1-1.fc17,ksecrets-4.8.1-1.fc17,ksnapshot-4.8.1-1.fc17,kstars-4.8.1-1.fc17,ktimer-4.8.1-1.fc17,ktouch-4.8.1-1.fc17,kturtle-4.8.1-1.fc17,kwallet-4.8.1-1.fc17,kwordquiz-4.8.1-1.fc17,libkdcraw-4.8.1-1.fc17,libkdeedu-4.8.1-1.fc17,libkexiv2-4.8.1-1.fc17,libkipi-4.8.1-1.fc17,libksane-4.8.1-1.fc17,marble-4.8.1-1.fc17,okular-4.8.1-1.fc17,oxygen-icon-theme-4.8.1-1.fc17,parley-4.8.1-1.fc17,pykde4-4.8.1-1.fc17,qyoto-4.8.1-1.fc17,rocs-4.8.1-1.fc17,ruby-korundum-4.8.1-1.fc17,ruby-qt-4.8.1-1.fc17,smokegen-4.8.1-1.fc17,smokekde-4.8.1-1.fc17,smokeqt-4.8.1-1.fc17,step-4.8.1-1.fc17,superkaramba-4.8.1-1.fc17,svgpart-4.8.1-1.fc17,sweeper-4.8.1-1.fc17
then log in and leave karma (feedback).
Comment 20 Fedora Update System 2012-03-13 14:35:56 EDT
analitza-4.8.1-1.fc17, ark-4.8.1-1.fc17, blinken-4.8.1-1.fc17, cantor-4.8.1-1.fc17, filelight-4.8.1-1.fc17, gwenview-4.8.1-1.fc17, jovie-4.8.1-1.fc17, kaccessible-4.8.1-1.fc17, kactivities-4.8.1-1.fc17, kalgebra-4.8.1-1.fc17, kalzium-4.8.1-1.fc17, kamera-4.8.1-1.fc17, kanagram-4.8.1-1.fc17, kate-4.8.1-1.fc17, kbruch-4.8.1-1.fc17, kcalc-4.8.1-1.fc17, kcharselect-4.8.1-1.fc17, kcolorchooser-4.8.1-1.fc17, kdeaccessibility-4.8.1-1.fc17, kdeadmin-4.8.1-1.fc17, kdeartwork-4.8.1-1.fc17, kde-baseapps-4.8.1-1.fc17, kdebindings-4.8.1-1.fc17, kdeedu-4.8.1-1.fc17, kdegames-4.8.1-1.fc17, kdegraphics-4.8.1-1.fc17, kdegraphics-mobipocket-4.8.1-1.fc17, kdegraphics-strigi-analyzer-4.8.1-1.fc17, kdegraphics-thumbnailers-4.8.1-1.fc17, kdelibs-4.8.1-1.fc17, kdemultimedia-4.8.1-1.fc17, kdenetwork-4.8.1-1.fc17, kdepim-4.8.1-2.fc17, kdepimlibs-4.8.1-1.fc17, kdepim-runtime-4.8.1-1.fc17, kde-printer-applet-4.8.1-1.fc17, kdesdk-4.8.1-1.fc17, kdetoys-4.8.1-1.fc17, kdeutils-4.8.1-1.fc17, kde-wallpapers-4.8.1-1.fc17, kdf-4.8.1-1.fc17, kfloppy-4.8.1-1.fc17, kgamma-4.8.1-1.fc17, kgeography-4.8.1-1.fc17, kgpg-4.8.1-1.fc17, khangman-4.8.1-1.fc17, kig-4.8.1-1.fc17, kimono-4.8.1-1.fc17, kiten-4.8.1-1.fc17, klettres-4.8.1-1.fc17, kmag-4.8.1-1.fc17, kmousetool-4.8.1-1.fc17, kmouth-4.8.1-1.fc17, kmplot-4.8.1-1.fc17, kolourpaint-4.8.1-1.fc17, konsole-4.8.1-1.fc17, kremotecontrol-4.8.1-1.fc17, kross-interpreters-4.8.1-1.fc17, kruler-4.8.1-1.fc17, ksaneplugin-4.8.1-1.fc17, ksecrets-4.8.1-1.fc17, ksnapshot-4.8.1-1.fc17, kstars-4.8.1-1.fc17, ktimer-4.8.1-1.fc17, ktouch-4.8.1-1.fc17, kturtle-4.8.1-1.fc17, kwallet-4.8.1-1.fc17, kwordquiz-4.8.1-1.fc17, libkdcraw-4.8.1-1.fc17, libkdeedu-4.8.1-1.fc17, libkexiv2-4.8.1-1.fc17, libkipi-4.8.1-1.fc17, libksane-4.8.1-1.fc17, marble-4.8.1-1.fc17, okular-4.8.1-1.fc17, oxygen-icon-theme-4.8.1-1.fc17, parley-4.8.1-1.fc17, pykde4-4.8.1-1.fc17, qyoto-4.8.1-1.fc17, rocs-4.8.1-1.fc17, ruby-korundum-4.8.1-1.fc17, ruby-qt-4.8.1-1.fc17, smokegen-4.8.1-1.fc17, smokekde-4.8.1-1.fc17, smokeqt-4.8.1-1.fc17, step-4.8.1-1.fc17, superkaramba-4.8.1-1.fc17, svgpart-4.8.1-1.fc17, sweeper-4.8.1-1.fc17, share-like-connect-0.2-2.fc17, plasma-mobile-0.3-3.fc17, kde-l10n-4.8.1-2.fc17, kde-runtime-4.8.1-2.fc17, kde-workspace-4.8.1-2.fc17, kdeplasma-addons-4.8.1-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.